package com.muyu.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.server.service.DataLinkService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 *@Author：yang
 *@Package：com.muyu.server.controller
 *@Project：cloud-property
 *@name：DataLinkController
 *@Date：2024/9/7 20:12
 */
@RestController
@AllArgsConstructor
public class DataLinkController {

    private final DataLinkService dataLinkService;

    /**
     * 查询表数据count
     * @param dataName 数据库名称
     * @param sql sql语句
     * @return 反护试图
     */
    @PostMapping("/findCount")
    public Result<Long> findCount(String dataName,String sql){
        Long longs = dataLinkService.findCount(dataName,sql);
        return Result.success(longs);
    }

}
