package com.muyu.server.service.impl;

import com.alibaba.druid.pool.DruidDataSource;
import com.alibaba.druid.pool.DruidPooledConnection;
import com.muyu.server.service.DataLinkService;
import com.muyu.server.util.JdbcHelper;
import lombok.extern.log4j.Log4j;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 *@Author：yang
 *@Package：com.muyu.server.service.impl
 *@Project：cloud-property
 *@name：DataLinkServiceImpl
 *@Date：2024/9/7 20:18
 */
@Service
@Log4j2
public class DataLinkServiceImpl implements DataLinkService {

    /**
     * 查询表数据count
     * @param dataName 数据库名称
     * @param sql sql语句
     * @return 反护试图
     */
    @Override
    public Long findCount(String dataName, String sql) {
        try {
            DruidDataSource connRs = JdbcHelper.getConnRs(dataName);
            assert connRs != null;
            DruidPooledConnection connection = connRs.getConnection();
            PreparedStatement ps = connection.prepareStatement(sql);
            ResultSet rs = ps.executeQuery();
            while (rs.next()) {
                return rs.getLong(1);
            }
            connection.close();
        } catch (SQLException e) {
            log.error("异常信息：{}",e.getMessage());
        }
        return null;
    }
}
